List All Deals

​

Returns all available deals for a user

Headers

  • The signature for the API call

  • Set this header to application/json.

  • Advertises which content types the client is able to understand

  • You may pass the access_token instead of the authentication_token in Online Ordering endpoints to authorize the request. It must be supplied as Bearer ACCESS_TOKEN_GOES_HERE.

  • For details, see User Agent.

Body

application/json
  • Client key of the business

  • The authentication token of the user. You can retrieve this from the response of a successful sign-in API call or through the SSO process.

Responses

  • application/json
  • Sending invalid Signature

  • Sending invalid Entity

Request Example for get/api/auth/deals
curl https://SERVER_NAME_GOES_HERE.punchh.com/api/auth/deals \
  --header 'x-pch-digest: SIGNATURE_GOES_HERE' \
  --header 'cache-control: no-cache' \
  --header 'Content-Type: application/json' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer ACCESS_TOKEN_GOES_HERE' \
  --header 'User-Agent: Punchh/OnlineOrder/1.0/Web/BrowserVersion/OS_Type' \
  --data '{
  "client": "CLIENT_GOES_HERE",
  "authentication_token": "AUTHENTICATION_TOKEN_GOES_HERE"
}'
[
  {
    "applicable_as_loyalty_redemption": false,
    "redeemable_properties": "",
    "discount_amount": 0,
    "discount_channel": "all",
    "expire_redemption_code_with_reward_end_date": false,
    "id": 23,
    "image": "IMAGE_URL_GOES_HERE",
    "points": 0,
    "redeemable_id": 23,
    "redemption_expiry": 240,
    "thumb_image": "IMAGE_URL_GOES_HERE",
    "meta_data": "",
    "redeemable_uuid": "ID_GOES_HERE",
    "name": "BOGO Breadsticks",
    "description": "",
    "start_time": "2021-04-28T13:59:47+05:30"
  }
]